
Foreman - Bug #5391

Authorizer test should use testing permission

04/22/2014 10:42 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

:view_hosts permission is granted by anonymous role by default, so it would be safer to use custom permissions for testing purposes

in fact it breaks tests for https://github.com/theforeman/foreman/pull/1371

Associated revisions

Revision 29a52c6c - 04/25/2014 10:15 AM - Marek Hulán

Fixes #5391 - Authorizer test should use testing permission

Also change order of seed so admin user can be saved and

existing Anonymous role is assigned.

Revision 4dd8cc7d - 04/28/2014 11:51 AM - Marek Hulán

Fixes #5391 - Authorizer test should use testing permission

Also change order of seed so admin user can be saved and

existing Anonymous role is assigned.

(cherry picked from commit 29a52c6c51afc55f36e7135a8c6794604173a5aa)

History

#1 - 04/22/2014 01:06 PM - Marek Hulán

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1396

#2 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#3 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#4 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#5 - 04/25/2014 10:13 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 04/25/2014 10:31 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 29a52c6c51afc55f36e7135a8c6794604173a5aa.
